post
https://api-one.cryptoworth.app/v1/calculation_execute
Run a calculation (ie: Cost basis, WAC etc) in the portfolio. API details secluded for security reasons. Please contact your account manager.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Sample Payload
{
"txIds": null,
"method": 1, // 1 Fifo, 2 Lifo, 3 WAC, 4 WAC Perpetual (Tranched), 5 WAC Perpetual, 6 HIFO
"portfolioId": {{entityId}},
"selectAll": true,
"dropTxns": [],
"filters": {
"startDate": null,
"endDate": null,
"bankStartDate": null,
"bankEndDate": null,
"journalStartDate": null,
"journalEndDate": null,
"bankname": null,
"SyncedAtStartDate": null,
"SyncedAtEndDate": null,
"type": [
"all",
"send",
"receive",
"buy",
"sell"
],
"exchangeConnected": [],
"walletsConnected": [],
"banksConnected": [],
"journalsConnected": [],
"virtualWalletsConnected": [],
"portfolioId": null,
"allWalletsConnect": true,
"allBanksConnect": true,
"allJournalsConnect": true,
"allExchangesConnect": true,
"assetsAll": true,
"banksAll": true,
"assetIncludeFees": false,
"cryptoSymbolText": false,
"outputAddressIsEmpty": false,
"outputAddress": false,
"outputAddressMode": 1, // 1 enable, 0 disable
"outputAddressGroup": [],
"inputAddress": false,
"inputAddressIsEmpty": false,
"inputAddressMode": 1, // 1 enable, 0 disable
"inputAddressGroup": [],
"inputOrOutputAddressIsEmpty": false,
"inputOrOutputAddress": false,
"inputOrOutputAddressGroup": [],
"inputOrOutputAddressMode": 1, //1 enable, 0 disable
"contractAddress": false,
"contractAddressIsEmpty": false,
"contractAddressAddressMode": 1, // 1 enable, 0 disable
"contractAddressGroup": [],
"executorContractAddress": false,
"executorContractAddressIsEmpty": false,
"executorContractAddressMode": 1, // 1 enable, 0 disable
"executorContractAddressGroup": [],
"cryptoIdText": null,
"methodId": false,
"methodIdMode": 1, // 1 enable, 0 disable
"methodIdGroup": [],
"transactionId": false,
"contactName": false,
"label": null,
"function": false,
"NFTName": false,
"NFTSymbol": false,
"tradeId": false,
"ledgerId": false,
"cryptoId": false,
"assetSymbols": [
],
"bankConnectionName": [],
"deviations": null,
"taxability": null,
"txTags": [],
"txTagsCustom": [],
"tagsAll": true,
"txClasses": [
-1
], // Classification ids
"classesAll": true, // include All classifications
"ignoredErp": false,
"failedTx": null,
"calcUsed": null,
"isPegged": null,
"isLocked": null,
"isPaired": null,
"isInternalPaired": null,
"isMultipleEntry": null,
"isSplitTransaction": null,
"isRolled": null,
"isAttached": null,
"userHidden": null,
"dataMerge": null,
"inAmount": [],
"inAmountOp": null,
"outAmount": [],
"outAmountOp": null,
"feeAmount": [],
"feeAmountOp": null,
"feeValue": [],
"feeValueOp": null,
"costBasis": [],
"costBasisOp": null,
"salePrice": [],
"salePriceOp": null,
"unitPrice": [],
"unitPriceOp": null,
"fiatValue": [],
"fiatValueOp": null,
"runningBalanceValue": [],
"runningBalanceValueOp": null,
"memo": false,
"memoContain": null,
"marketPair": null,
"marketPairRadio": null,
"programId": false,
"manuallyPriced": null,
"invoiceAttached": null,
"billAttached": null,
"fileAttached": null,
"hasRuleId": null,
"syncStatus": {
"synced": true,
"failed": true,
"ignored": true,
"unSynced": true,
"updated": true,
"virtual": true,
"all": true
},
"erpSyncTypes": {
"journals": true,
"bankPayment": true,
"all": true
},
"allAddressGroupsConnect": false,
"addressGroupsConnected": [],
"allConnectionGroupsConnect": false,
"connectionGroupsConnected": [],
"anyWeb3Product": true,
"web3ProductsByLabel": [],
"flaggedTx": null,
"private_api": true
},
"flushSends": false, //Recalculate dispositions (Sends and Sells)
"flushReceives": false, //Recalculate acquisitions (Receives and Buys)
"objective": 1,
"auditLogs": 0, // 1 enable audit log, 0 not enable audit log
"connectionLevel": 1, // 1 Connection level, 0 Asset Level
"longShortGain": 1, // 1 Enable Taxlot Calculation, 0 not enable Taxlot calculation
"nftProcessing": 1, // 1 Calculte NFT Cost basis, 0 not calculate nft costbasis
"assetLevelCalculation": 0 // 1 Enable Asset base calculation, 0 Not Enable Asset base calculation
}